<template>
  <div
    class="page-table scrollable only-y"
    id="affix-container"
  >
    <div class="">
      <h1>Blog
        <!--<span v-if="!loading" class="lbl-verify">-->
        <!--<label v-if="detail.isVerified" class="lbl lbl-success">Verified</label>-->
        <!--<label v-else class="lbl label-default">Unverified</label>-->
        <!--</span>-->
      </h1>
      <!--<h4>for a better experience on Mac OS during horizontal scroll is prefered disable the "Swipe between pages" option </h4>-->
      <div class="page-status">

        <el-breadcrumb separator="/">
          <el-breadcrumb-item :to="{ path: '/' }"><i class="mdi mdi-home-outline"></i></el-breadcrumb-item>

          <el-breadcrumb-item :to="{ path: '/blog' }">Blogs</el-breadcrumb-item>

          <el-breadcrumb-item>Create</el-breadcrumb-item>

        </el-breadcrumb>

      </div>
    </div>
    <br />
    <!-- <el-card
      v-if="isContentFound"
      v-loading="loading"
    >
      <not-found></not-found>
    </el-card> -->
    <div class="line">
      <div class="">
        <el-row :gutter="5">
          <!-- Start col upload image -->
          <el-col
            :xs="24"
            :sm="12"
            :md="8"
          >
            <el-upload
              :auto-upload="false"
              class="avatar-uploader companyCover"
              action="https://jsonplaceholder.typicode.com/posts/"
              :show-file-list="false"
              drag
              :disabled="false"
              :on-change="onChangeIconHandle"
            >

              <div
                v-if="detail.cover"
                style="height: 100%; width: 100%; display: flex"
              >
                <img
                  :src="detail.cover"
                  class="avatar"
                >
                <!-- <el-button
                        width=32
                        height=32
                        @click="onRemoveImg"
                        class="icon-img-close-employer"
                        icon="el-icon-close"
                        type="info"
                        circle
                        mini
                        plain
                      ></el-button> -->
              </div>
              <i
                v-else
                class="el-icon-plus avatar-uploader-icon"
              ></i>
            </el-upload>
          </el-col>
          <!-- End col upload image -->

        </el-row>

      </div>
    </div>
    <div>
      <el-card
        class="box-card"
        v-loading="loading"
      >
        <div class="card-inner">
          <div class="line">
          </div>

          <el-card
            shadow="never"
            class="form-box"
            style="margin-top: 20px"
          >
            <el-form
              :rules="rules"
              ref="content"
              :model="detail"
            >
              <el-row :gutter="30">
                <el-col
                  :span="12"
                  :md="12"
                  :sm="24"
                  :xs="24"
                  class="col-p"
                >
                  <el-form-item
                    label="Title Blog"
                    prop="title"
                  >
                    <el-input
                      type="text"
                      placeholder="Title"
                      v-model.trim="detail.title"
                    ></el-input>
                  </el-form-item>
                </el-col>
                <el-col
                  :span="12"
                  :md="12"
                  :sm="24"
                  :xs="24"
                  class="col-p"
                >
                  <el-form-item
                    label="Status"
                    prop="status"
                  >
                    <el-input
                      type="text"
                      placeholder="Status"
                      v-model.trim="detail.status"
                    ></el-input>
                  </el-form-item>
                </el-col>
              </el-row>

              <el-row :gutter="30">
                <el-col
                  :span="24"
                  :md="24"
                  :sm="24"
                  :xs="24"
                  class="col-p"
                >
                  <el-form-item
                    label="Content blogs"
                    prop="contents"
                  >
                    <el-input
                      type="textarea"
                      :rows="5"
                      v-model.trim="detail.contents"
                    />
                  </el-form-item>
                </el-col>

              </el-row>

              <div>
                <div class="btn-left">

                </div>
                <div class="btn-right">
                  <el-button
                    icon="mdi mdi-content-save-outline"
                    type="primary"
                    @click="save"
                  > Save changes</el-button>
                </div>
              </div>
            </el-form>
          </el-card>
        </div>

      </el-card>
    </div>

  </div>
</template>

<script>

import { blog as blogAPI, media as mediaAPI } from '~/services/apis/index'
import NotFound from '../ContentNotFound'
export default {
  name: 'BlogCreate',
  components: {
    NotFound,
  },
  data () {
    return {
      detail: {
        title: '',
        contents: '',
        imgUrl: ''
      },
      title: '',
      loading: false,
      imageIndex: "",
      file: [null, null, null, null, null, null],
      mapvisible: false,
      dialogvisible: false,
      imageUrl: null,
      address: "",
      isContentFound: false,
      isDisabledVerify: false,
      isDisabledSave: false,
      imageLoading: false,
      newPostion: '',
      idDraggable: '',
      test: {},
      futureIndex: '',
      listPostionImage: [],
      rules: {

        contents: [
          { max: 255, message: 'Length must be less than 256', trigger: 'blur' }

        ],
        title: [
          { required: true, message: 'Please input title', trigger: 'blur' },
          { max: 255, message: 'Length must be less than 256', trigger: 'blur' }
        ],
        status: [
          { max: 255, message: 'Length must be less than 256', trigger: 'blur' }
        ],

        postal_code: [
          { type: 'number', message: 'Postal code must be a number', trigger: 'blur' }
        ],
        address: [
          { required: true, message: 'Please input address', trigger: 'change' }],
      },

    }
  },
  methods: {




    onChangePage (page) {
      this.currentPage = this.$helper.formatPage(page)
      //this.$router.push({query: {page: page}})
      this.getListPost();
    },
    formatSalary (from, to) {
      if (!from && !to) {
        return ""
      }
      return "from " + from + " to " + to;
    },
    // onChangeIcon(file, fileList){
    //     if(!file) return;
    //     this.listImage[this.imageIndex].src = URL.createObjectURL(file.raw);
    //     this.file[this.imageIndex] = file.raw;
    // },

    onchangeIcon0 (file, fileList) {
      this.onChangeIcon(file, fileList, 0)
    },
    onchangeIcon1 (file, fileList) {
      this.onChangeIcon(file, fileList, 1)
    },
    onchangeIcon2 (file, fileList) {
      this.onChangeIcon(file, fileList, 2)
    },
    onchangeIcon3 (file, fileList) {
      this.onChangeIcon(file, fileList, 3)
    },
    onchangeIcon4 (file, fileList) {
      this.onChangeIcon(file, fileList, 4)
    },
    onchangeIcon5 (file, fileList) {
      this.onChangeIcon(file, fileList, 5)
    },
    openDialog () {
      this.mapvisible = true
    },



    save () {
      this.loading = true;
      this.$refs['content'].validate((valid) => {
        if (valid) {
          this.submit();
        } else {
          this.loading = false;
          return false;
        }
      });

    },

    submit () {
      blogAPI.createBlog(this.detail)
        .then((res) => {
          this.$notify({
            title: "Success",
            message: "Create successfully!",
            type: "success"
          });
          this.loading = false;
          this.$router.push({ name: 'blog' });
        })
        .catch((err) => {
          this.$notify({
            title: "Error",
            message: "Create failed!",
            type: "error"
          });
          this.loading = false;
        })
    },
    onChangeIconHandle (file) {
      if (!file) return;

      this.imageName = file.name;
      this.detail.cover = URL.createObjectURL(file.raw);
      this.file = file.raw;
      this.updateIcon = true;
      this.uploadImage(this.file);
    },
    uploadImage (data) {
      //eslint-disable-next-line
      console.log('data :', data);
      this.loading = true;
      if (data) {
        mediaAPI.upload(data).then(res => {
          this.detail.imgUrl = res.data
          this.$notify({
            title: "Success",
            message: "Update image successfully!",
            type: "success"
          });
          this.loading = false;
        })
          .catch(err => {
            this.$notify({
              title: "Error",
              message: "Update image failed!",
              type: "error"
            });
            this.loading = false;
          })
      }
    },

  },
  created () {
  },
  watch: {
    // onChangeIconHandle: function() {
    //     if(this.onChangeIconHandle) {
    //         this.getImagesCompany()
    //     }
    // }
  },
  mounted () {

  }
}
</script>

<style lang="scss">
.lbl-verify {
  float: right;
  font-size: 20px;
  margin: 7px;
}

.pac-logo {
  z-index: 2034 !important;
}

.info-item {
  line-height: 35px;
}

.info-item i {
  font-weight: bold;
}

.img-content {
  width: 100px;
  height: 100px;
  position: relative;
  background-color: #63696c;
}

.giveMeEllipsis {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3; /* number of lines to show */
  /*line-height: 3;        !* fallback *!*/
  /*max-height: 10px;       !* fallback *!*/
}
</style>
